package com.tmerclub.cloud.supplier.vo.mongo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;

import java.time.LocalDateTime;

/**
 * @author gaozijie
 * @date 2023-08-28
 */
public class MongoPurchaseAmountLogVO {

    @Schema(description = "采购日志Id")
    private Long purchaseLogId;

    @Schema(description = "商家Id")
    private Long shopId;

    @Schema(description = "商家名称")
    private String shopName;

    @Schema(description = "供应商Id")
    private Long supplierId;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "采购金额类型(-1:采购作废金额, 0:采购收入|支出金额)")
    private Integer purchaseAmountType;

    @Schema(description = "采购订单编号")
    private Long purchaseOrderId;

    @Schema(description = "改变金额")
    private Long changeAmount;

    @Schema(description = "采购总价")
    private Long purchaseTotalAmount;

    @Schema(description = "采购商品数量")
    private Integer prodCount;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    public MongoPurchaseAmountLogVO() {
    }

    public Long getPurchaseLogId() {
        return purchaseLogId;
    }

    public void setPurchaseLogId(Long purchaseLogId) {
        this.purchaseLogId = purchaseLogId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Integer getPurchaseAmountType() {
        return purchaseAmountType;
    }

    public void setPurchaseAmountType(Integer purchaseAmountType) {
        this.purchaseAmountType = purchaseAmountType;
    }

    public Long getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(Long purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public Long getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(Long changeAmount) {
        this.changeAmount = changeAmount;
    }

    public Long getPurchaseTotalAmount() {
        return purchaseTotalAmount;
    }

    public void setPurchaseTotalAmount(Long purchaseTotalAmount) {
        this.purchaseTotalAmount = purchaseTotalAmount;
    }

    public Integer getProdCount() {
        return prodCount;
    }

    public void setProdCount(Integer prodCount) {
        this.prodCount = prodCount;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "MongoPurchaseLogVO{" +
                "purchaseLogId=" + purchaseLogId +
                ", shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", supplierId=" + supplierId +
                ", supplierName='" + supplierName + '\'' +
                ", purchaseAmountType=" + purchaseAmountType +
                ", purchaseOrderId=" + purchaseOrderId +
                ", changeAmount=" + changeAmount +
                ", purchaseTotalAmount=" + purchaseTotalAmount +
                ", prodCount=" + prodCount +
                ", createTime=" + createTime +
                '}';
    }
}
